Dim  SourceID, ManagedEntityId, TargetComputer

SourceID 	    = Wscript.Arguments.Item(0)
ManagedEntityId = Wscript.Arguments.Item(1)
TargetComputer  = Wscript.Arguments.Item(2)

set objWMI = GetObject("winmgmts:\\" & TargetComputer & "\root\cimv2")
set services = objWMI.ExecQuery("Select * from Win32_Service where DisplayName ='Alert Update Connector'")

Dim oAPI, oDiscoveryData
Set oAPI = CreateObject("MOM.ScriptAPI")

set oDiscoveryData= oAPI.CreateDiscoveryData(0, SourceID, ManagedEntityId)

If services.Count = 1 Then
Set objSvc =  services.Item("Win32_Service.Name=""Alert Update Connector""")
Dim connectorInstance,connectorNTService, relationship

Set connectorInstance = oDiscoveryData.CreateClassInstance("$MPElement[Name='AlertUpdateConnector.Connector']$")
Set connectorNTService = oDiscoveryData.CreateClassInstance("$MPElement[Name='AlertUpdateConnector.AlertUpdateConnectorService']$")
Set relationship = oDiscoveryData.CreateRelationshipInstance("$MPElement[Name='AlertUpdateConnector.AlertUpdateConnectorContainsNTService']$")

Dim serviceBinaryPath, serviceDescription

serviceBinaryPath = CStr(objSvc.PathName)
If IsNull(objSvc.Description) Then
	serviceDescription = ""
Else
	serviceDescription = CStr(objSvc.Description)
End If

connectorInstance.AddProperty "$MPElement[Name='SC!Microsoft.SystemCenter.Connector']/Id$", "B7A64DEB-F7FF-440e-BC30-D08D340DFE8D"
connectorNTService.AddProperty "$MPElement[Name='Windows!Microsoft.Windows.Computer']/PrincipalName$", TargetComputer
connectorNTService.AddProperty "$MPElement[Name='NTService!Microsoft.SystemCenter.NTService']/ServiceName$", "Alert Update Connector"
connectorNTService.AddProperty "$MPElement[Name='NTService!Microsoft.SystemCenter.NTService']/DisplayName$", "Alert Update Connector"
connectorNTService.AddProperty "$MPElement[Name='NTService!Microsoft.SystemCenter.NTService']/Description$", serviceDescription
connectorNTService.AddProperty "$MPElement[Name='NTService!Microsoft.SystemCenter.NTService']/ServiceProcessName$", serviceBinaryPath

relationship.Source = connectorInstance
relationship.Target = connectorNTService

oDiscoveryData.AddInstance(connectorInstance)
oDiscoveryData.AddInstance(connectorNTService)
oDiscoveryData.AddInstance(relationship)

End If

Call oAPI.Return(oDiscoveryData)